Developers
V1PartnerTenantsTenantidReward offers

Merchant owner: your reward drafts and review status

GET
/v1/partner/tenants/{tenantId}/reward-offers
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/partner/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/reward-offers"
{  "rewards": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",      "merchantName": "string",      "title": "string",      "kind": "product",      "status": "draft",      "version": -9007199254740991,      "updatedAt": "2019-08-24T14:15:22Z",      "stockTotal": -9007199254740991,      "startsAt": "2019-08-24T14:15:22Z",      "endsAt": "2019-08-24T14:15:22Z",      "reviewNote": "string"    }  ]}